Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1147261 - Run vm in preferred mode drop libvirt error
Summary: Run vm in preferred mode drop libvirt error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Gilad Chaplik
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On:
Blocks: 1073943 rhev35betablocker rhev3.5beta3 rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-09-28 15:03 UTC by Artyom
Modified: 2016-02-10 20:18 UTC (History)
12 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:16:29 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)
logs (deleted)
2014-09-28 15:03 UTC, Artyom
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 33517 master MERGED core: Handle NUMA preferred tune mode Never
oVirt gerrit 33731 master MERGED core: avoid sending NUMA values if not specified Never
oVirt gerrit 33732 ovirt-engine-3.5 MERGED core: Handle NUMA preferred tune mode Never
oVirt gerrit 33733 ovirt-engine-3.5 MERGED core: avoid sending NUMA values if not specified Never

Description Artyom 2014-09-28 15:03:42 UTC
Created attachment 941997 [details]
logs

Description of problem:
Run vm in preferred mode drop libvirt error

Version-Release number of selected component (if applicable):
rhevm-3.5.0-0.13.beta.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create vm
2. Change vm mode to preferred:
<vm>
<numa_tune_mode>preferred</numa_tune_mode>
</vm>
3. Run vm

Actual results:
Vm failed to run

Expected results:
Vm success to run

Additional info:
Tried to run vm with 0,1,2 numa nodes

Comment 2 Eyal Edri 2014-10-07 07:13:05 UTC
this bug status was moved to MODIFIED before engine vt5 was built,
hence moving to on_qa, if this was mistake and the fix isn't in,
please contact rhev-integ@redhat.com

Comment 3 Artyom 2014-10-07 11:23:27 UTC
Verified on vt5, I see that patch just prevent to create or update vm in preferred mode in vmNumaNodes != 1 and if it not pinned, I really don't understand why I can't use this mode for more that 1 node. But it's problems of libvirtd, so I verify bug.

Comment 4 Artyom 2014-10-07 12:23:40 UTC
Was success to change vm mode to preferred with next scenario:
1) Specify vm host to start to host with numa support and deny migration("Do not allow migration"), change NumaNodeCount to 1 and mode to preferred and also pin this VNUMA to PNUMA, click ok.
2) Edit this vm and just change "Start running on:" to "Any Host in Cluster", click ok.

Now you have vm without NUMA pinning in preferred mode.

Comment 5 Artyom 2014-10-07 13:24:38 UTC
Also when vm with preferred mode, engine success to run vm(if no VNUMA appear, engine also not run vm with tune mode). So I will open another bug that I success to change mode to prefer.

Comment 6 Eyal Edri 2015-02-17 17:16:29 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.